package com.switchyard.tests;

import org.switchyard.component.bean.Service;

@Service(ServiceOne.class)
public class ServiceOneBean implements ServiceOne {

	@Override
	public Payload invoke(Payload payload) {
		System.out.println("ServiceOneBean -> Received payload: " + payload);
		Payload newPayload = new Payload();
		newPayload.setId(1111l);
		newPayload.setValue("ServiceOneBean returned payload");
		System.out.println("ServiceOneBean -> Returning payload: " + newPayload);
		return newPayload;
	}
}
