package com.switchyard.tests;

import org.switchyard.component.bean.Service;

@Service(ServiceTwo.class)
public class ServiceTwoBean implements ServiceTwo {

	@Override
	public Payload invoke(Payload payload) {
		System.out.println("ServiceTwoBean -> Received payload: " + payload);
		Payload newPayload = new Payload();
		newPayload.setId(2222l);
		newPayload.setValue("ServiceTwoBean returned payload");
		System.out.println("ServiceTwoBean -> Returning payload: " + newPayload);
		return newPayload;
	}

}
